summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--multimedia/pngnq-s9/README7
-rw-r--r--multimedia/pngnq-s9/pngnq-s9.SlackBuild104
-rw-r--r--multimedia/pngnq-s9/pngnq-s9.info10
-rw-r--r--multimedia/pngnq-s9/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/multimedia/pngnq-s9/README b/multimedia/pngnq-s9/README
new file mode 100644
index 0000000000..bb2791ecab
--- /dev/null
+++ b/multimedia/pngnq-s9/README
@@ -0,0 +1,7 @@
+pngnq-s9 is a modified version of pngnq, the neural network colour
+quantizer for png images.
+
+pngnq-s9 adds several new options to pngnq including the ability to
+augment a user-supplied palette, the ability to quantize in the YUV
+colour space, and the ability to give more or less weight to specific
+components when quantizing.
diff --git a/multimedia/pngnq-s9/pngnq-s9.SlackBuild b/multimedia/pngnq-s9/pngnq-s9.SlackBuild
new file mode 100644
index 0000000000..7f3b0446c8
--- /dev/null
+++ b/multimedia/pngnq-s9/pngnq-s9.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+# Slackware build script for pngnq-s9
+
+# Copyright 2014 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pngnq-s9
+VERSION=${VERSION:-2.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoreconf -vi
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+
+make
+make install DESTDIR=$PKG
+
+# Make symlink to pngnq
+(
+ cd $PKG/usr/bin
+ ln -s pngnq-s9 pngnq
+)
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/pngnq-s9/pngnq-s9.info b/multimedia/pngnq-s9/pngnq-s9.info
new file mode 100644
index 0000000000..c4ce887a6c
--- /dev/null
+++ b/multimedia/pngnq-s9/pngnq-s9.info
@@ -0,0 +1,10 @@
+PRGNAM="pngnq-s9"
+VERSION="2.0.1"
+HOMEPAGE="http://sourceforge.net/projects/pngnqs9/"
+DOWNLOAD="http://sourceforge.net/projects/pngnqs9/files/pngnq-s9-2.0.1.tar.gz"
+MD5SUM="20e185297245f306dc6223f816668bd6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/multimedia/pngnq-s9/slack-desc b/multimedia/pngnq-s9/slack-desc
new file mode 100644
index 0000000000..e6646b36ed
--- /dev/null
+++ b/multimedia/pngnq-s9/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pngnq-s9: pngnq-s9 (PNG Image Converter)
+pngnq-s9:
+pngnq-s9: pngnq-s9 is a modified version of pngnq, the neural network colour
+pngnq-s9: quantizer for png images.
+pngnq-s9:
+pngnq-s9: pngnq-s9 adds several new options to pngnq including the ability to
+pngnq-s9: augment a user-supplied palette, the ability to quantize in the YUV
+pngnq-s9: colour space, and the ability to give more or less weight to specific
+pngnq-s9: colour components when quantizing.
+pngnq-s9:
+pngnq-s9: Homepage: http://sourceforge.net/projects/pngnqs9/